ECHO OFF
REM  Sample PROTOS.BAT for LOGONDR
REM  Uses DSZ protocol driver for the examples.  Follow the
REM  format and add any protocol you wish :)

if %1 == MobyTurbo goto MobyTurbo
if %1 == Zmodem goto Zmodem
if %1 == Ymodem goto Ymodem
if %1 == Xmodem goto Xmodem
goto end

REM  %1 = The protocol name.  The name must match the one sent by the 
REM         door excatly.  It is case sensitive. Remember that the
REM         door will parse the first word or up to the first illegal
REM         character.
REM
REM  %2 = Port #
REM  %3 = Baud rate.  The locked rate if the port is locked!
REM  %4 = Filename
REM  %5 = Actual CONNECT rate
REM  %6 = Node number
REM  %7 = Port locked? Y or N


REM The actual calls made to the protocols should be determined by the
REM sysop.  The following examples are just that, examples.  You may
REM want to add the "ha on" switch to some of these.


:MobyTurbo
dsz port %2 sz -m %4
goto end

:Zmodem
dsz port %2 sz %4 
goto end

:Ymodem
dsz port %2 sb -k %4
goto end

:Xmodem
dsz port %2 sx %4
goto end


:end


