ECHO OFF
REM  Sample PROTOS.BAT for LOGONDR
REM  Uses TTPROT.EXE protocol driver for the examples.  Follow the
REM  format and add any protocol you wish :)

if %1 == HS/Link goto HSL
if %1 == Zmodem goto Zmodem
if %1 == Ymodem goto Ymodem
if %1 == Xmodem-1K goto Xmodem-1K
if %1 == Xmodem goto Xmodem
goto end

REM  %1 = The protocol name.  The name must match the one sent by the 
REM         door excatly.  It is case sensitive. Remember that the
REM         door will parse the first word or up to the first illegal
REM         character.
REM
REM  %2 = Port #
REM  %3 = Baud rate.  The locked rate if the port is locked!
REM  %4 = Filename
REM  %5 = Actual CONNECT rate
REM  %6 = Node #
REM  %7 = Locked Port Y or N


REM The actual calls made to the protocols should be determined by the
REM sysop.  The following examples are just that, examples. 

:HSL
hslink -p%2 %4
goto end

:Zmodem
TTPROT %2 %3 %7 ZU %4 
goto end

:Ymodem
TTPROT %2 %3 %7 YU %4
goto end

:Xmodem-1K
TTPROT %2 %3 %7 1U %4
goto end


:Xmodem
TTPROT %2 %3 %7 XU %4
goto end


:end

